## texworks-manual 20150506

=== Makefile ===
.PHONY : all clean dist dist-clean

all :
	$(MAKE) -C src

clean :
	$(MAKE) -C src clean

dist :
	$(MAKE) -C src dist

dist-clean :
	$(MAKE) -C src dist-clean
