=== debian/changelog ===
texworks-manual (20150506-4) unstable; urgency=medium

  * source only upload

 -- Norbert Preining <norbert@preining.info>  Fri, 19 Jul 2019 14:41:51 +0900

texworks-manual (20150506-3) unstable; urgency=medium

  * update VCS, my email, and standards version
  * fix build errors due to LANG setting during build
  * switch from extra to option priority

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 15:18:33 +0900

texworks-manual (20150506-2) unstable; urgency=medium

  * bump standards version, no changes necessary
  * make sure not to create files in ~ and make sbuild is happy 
    (Closes: #832871)

 -- Norbert Preining <preining@debian.org>  Mon, 01 Aug 2016 22:33:47 +0900

texworks-manual (20150506-1) unstable; urgency=medium

  * Imported Upstream version 20150506

 -- Norbert Preining <preining@debian.org>  Mon, 04 Apr 2016 12:22:59 +0900
