=== debian/control ===
Source: texworks-manual
Section: editors
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: texlive-latex-base, 
	texlive-latex-recommended,
	texlive-fonts-recommended,
	texlive-latex-extra,
	texlive-lang-french,
	texlive-luatex,
	tex4ht,
	ghostscript,
	lmodern,
	imagemagick
Standards-Version: 4.2.1
Homepage: http://www.tug.org/texworks/
Vcs-Git: https://github.com/debian-tex/texworks-manual.git
Vcs-Browser: https://github.com/debian-tex/texworks-manual

Package: texworks-help-en
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Description: English help files for TeXworks
 For furter information, see http://tug.org/texworks/

Package: texworks-help-fr
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Description: French help files for TeXworks
 For furter information, see http://tug.org/texworks/
