=== debian/changelog ===
texworks-manual (20200329-1) unstable; urgency=medium

  * New upstream version.
    - Remove fix-build-lang patch.
    - override_dh_auto_clean, run "make dist-clean".

 -- Hilmar Preusse <hille42@web.de>  Sun, 31 Jan 2021 11:07:55 +0100

texworks-manual (20150506-6) unstable; urgency=medium

  * Lintian: P: no-dep5-copyright
  * Modify d/watch file to make it work using uscan from Debian buster.

 -- Hilmar Preusse <hille42@web.de>  Sat, 30 Jan 2021 16:40:52 +0100

texworks-manual (20150506-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Apply multi-arch hints.
    + texworks-help-en, texworks-help-fr: Add Multi-Arch: foreign.

  [ Hilmar Preusse ]
  * Fix broken "mktemp -d" in d/rules
  * Add me to uploaders
  * We are "Debian TeX Task Force"
  * d/watch file: by Eriberto Mota <eriberto@debian.org>. Thanks!
  * Bump Standards version to 4.5.1, no changes needed.
  * First draft of dep5 copyright.
  * Lintian:
    Override: I: package-contains-documentation-outside-usr-share-doc
    I: texworks-manual source: duplicate-long-description
    I: texworks-manual source: quilt-patch-missing-description fix-build-lang
    P: silent-on-rules-requiring-root

 -- Hilmar Preusse <hille42@web.de>  Thu, 28 Jan 2021 23:51:10 +0100
