=== debian/control ===
Source: texworks-manual
Section: editors
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
	Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texlive-latex-base,
	texlive-latex-recommended,
	texlive-fonts-recommended,
	texlive-latex-extra,
	texlive-lang-french,
	texlive-luatex,
	tex4ht,
	ghostscript,
	lmodern,
	imagemagick
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.tug.org/texworks/
Vcs-Git: https://github.com/debian-tex/texworks-manual.git
Vcs-Browser: https://github.com/debian-tex/texworks-manual

Package: texworks-help-en
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Multi-Arch: foreign
Description: English help files for TeXworks
 This is the manual for program suite TeXworks (English).
 For furter information, see http://tug.org/texworks/

Package: texworks-help-fr
Architecture: all
Depends: ${misc:Depends}
Recommends: texworks
Multi-Arch: foreign
Description: French help files for TeXworks
 This is the manual for program suite TeXworks (French).
 For furter information, see http://tug.org/texworks/
