=== debian/changelog ===
texworks-manual (20210308-2) unstable; urgency=medium

  * Add b-d netpbm, to solve FTBFS on Ubuntu (Closes: #986686).
  * Replace b-d (-tex4ht, +texlive-plain-generic)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Hilmar Preusse <hille42@web.de>  Wed, 14 Jul 2021 21:38:28 +0200

texworks-manual (20210308-1) unstable; urgency=medium

  * New upstream version.
    - doc-base integration
    - fix typo in package description.
    - Remove fix-build-lang patch

 -- Hilmar Preusse <hille42@web.de>  Fri, 12 Mar 2021 20:24:59 +0100
