=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 	texlive-latex-extra,
 	texlive-lang-french,
 	texlive-luatex,
-	tex4ht,
+	texlive-plain-generic,
 	ghostscript,
 	lmodern,
-	imagemagick
+	imagemagick,
+	netpbm
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.tug.org/texworks/
@@ -28,7 +29,7 @@
 Multi-Arch: foreign
 Description: English help files for TeXworks
  This is the manual for program suite TeXworks (English).
- For furter information, see http://tug.org/texworks/
+ For further information, see http://tug.org/texworks/
 
 Package: texworks-help-fr
 Architecture: all
@@ -37,4 +38,4 @@
 Multi-Arch: foreign
 Description: French help files for TeXworks
  This is the manual for program suite TeXworks (French).
- For furter information, see http://tug.org/texworks/
+ For further information, see http://tug.org/texworks/
