=== debian/rules ===
#!/usr/bin/make -f

TEXMFVAR := $(mktemp -d)
TEXMFCONFIG := $(mktemp -d)
export TEXMFVAR
export TEXMFCONFIG

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	$(MAKE) dist-clean
