=== debian/changelog ===
texworks-manual (20240209-2) unstable; urgency=medium

  * Bump Standards version, no changes needed.
  * debian/patches/04_no_git_call.diff: Do not call "git" to determine
    version.
  * debian/patches/05_ebb_extractbb.diff: "ebb" does not exist any more,
    replace it by "extractbb".
    (Closes: #1114404)

 -- Hilmar Preuße <hille42@debian.org>  Sat, 06 Sep 2025 11:08:43 +0200

texworks-manual (20240209-1) unstable; urgency=medium

  * New upstream release.
  * Add dvipng to b-d, else some files are not created.
  * Do not install cruft from build (aux files, log files, Makefiles)
  * doc-base integration for HTML pages. Add lintian override for
    "doc-base-file-references-wrong-path".
  * Add debian/gbp.conf.

 -- Hilmar Preusse <hille42@web.de>  Sun, 11 Feb 2024 12:13:35 +0000
