=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
-	Hilmar Preusse <hille42@web.de>
+	Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texlive-latex-base,
 	texlive-latex-recommended,
@@ -15,8 +15,9 @@
 	ghostscript,
 	lmodern,
 	imagemagick,
+	dvipng,
 	netpbm
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.tug.org/texworks/
 Vcs-Git: https://github.com/debian-tex/texworks-manual.git
