=== debian/watch ===
version=4
opts=uversionmangle=s/-//g \
  https://github.com/TeXworks/manual/tags .*/?(\d{4}-\d{2}-\d{2})\.tar\.gz
